Sabayon minimal + Xfce

Problemi relativi a KDE, GNOME o altri ambienti grafici? Scrivi pure qui!

Moderator: Moderators

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Sabayon minimal + Xfce

Post by Aquila » Fri Feb 03, 2017 18:23

Ciao,
ho installato come da titolo ma non appare il login grafico (lightdm) ed ogni volta devo dare "startxfce4".
Ho una scheda Nvidia G70 GL (Quadro FX 4500). E ho sempre porblemi con i driver Nvidia per questo ho messo i Nouveau.
Questo é quello che viene fuori:
cat ~/.xsession-errors
gpg-agent[2624]: WARNING: "--write-env-file" is an obsolete option - it has no effect
gpg-agent[2625]: gpg-agent (GnuPG) 2.1.15 started

(xfce4-session:2616): xfce4-session-WARNING **: gpg-agent returned no PID in the variables

(xfwm4:2626): xfwm4-WARNING **: Error opening /dev/dri/card0: File o directory non esistente
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"

(xfwm4:2645): xfwm4-WARNING **: Could not find a screen to manage, exiting

(xfwm4:2627): xfwm4-WARNING **: Could not find a screen to manage, exiting
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"

(xfwm4:2647): xfwm4-WARNING **: Could not find a screen to manage, exiting
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"

(xfwm4:2649): xfwm4-WARNING **: Could not find a screen to manage, exiting
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"

(xfwm4:2651): xfwm4-WARNING **: Could not find a screen to manage, exiting
xfwm4-Message: Another Window Manager (Xfwm4) is already running on screen :0.0
xfwm4-Message: To replace the current window manager, try "--replace"

(xfwm4:2653): xfwm4-WARNING **: Could not find a screen to manage, exiting

(xfsettingsd:2667): xfsettingsd-WARNING **: Property "/Gdk/WindowScalingFactor" has an unsupported type "guint".

(xfce4-session:2616): xfce4-session-WARNING **: Unable to launch "avant-window-navigator --startup" (specified by autostart/xfce-awn.desktop): Esecuzione del processo figlio "avant-window-navigator" non riuscita (File o directory non esistente)
/usr/share/system-config-printer/applet.py:44: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
from gi.repository import Notify
** Message: Using UDEV
** Message: Using gstreamer transcoder.
Remote Geeqie not running, starting...

(tracker-miner-rss:2874): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend, the direct backend failed to initialize: Locale mismatch, cannot use direct connection

(tracker-miner-user-guides:2915): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend, the direct backend failed to initialize: Locale mismatch, cannot use direct connection

(tracker-miner-fs:2906): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend, the direct backend failed to initialize: Locale mismatch, cannot use direct connection

(tracker-miner-apps:2921): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend, the direct backend failed to initialize: Locale mismatch, cannot use direct connection

(tracker-extract:2897): Tracker-WARNING **: tracker-backend.vala:211: Falling back to bus backend, the direct backend failed to initialize: Locale mismatch, cannot use direct connection
ATTENTION: default value of option force_s3tc_enable overridden by environment.
ATTENTION: default value of option force_s3tc_enable overridden by environment.

(xfce4-session:2616): Gtk-CRITICAL **: IA__gtk_widget_set_visible: assertion 'GTK_IS_WIDGET (widget)' failed

(xfce4-session:2616): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Re: Sabayon minimal + Xfce

Post by Aquila » Mon Feb 06, 2017 15:34

C'è nuddu???????

User avatar
fiorello
Sagely Hen
Posts: 1494
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: Sabayon minimal + Xfce

Post by fiorello » Mon Feb 06, 2017 18:43

Con una release normale ti da lo stesso problema?, non ho mai installato una minimale xfce, magari li manca qualcosa, io provere col dare un:

Code: Select all

# kernel-switcher switch linux-sabayon-x.x.xx

# equo deptest

# eselect opengl list

# eselect opengl set xorg
Dove x.x.xx sta alla revisione del kernel in uso.
ASRock Fatal1ty Z68 Professional Gen3 *_* Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network Adapter {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.19.0 *_* Sabayon KDE-5 *_*
Image

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Re: Sabayon minimal + Xfce

Post by Aquila » Wed Feb 08, 2017 16:11

Nada de nada, ed in più, con l'ultimo aggiornamento, su Firefox, ci sono dei siti in cui non posso entrare, mi dice che la connessione non é sicura. Boh !!!!

User avatar
sabayonino
Sagely Hen
Posts: 3525
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: Sabayon minimal + Xfce

Post by sabayonino » Wed Feb 08, 2017 18:05

Aquila wrote:Nada de nada, ed in più, con l'ultimo aggiornamento, su Firefox, ci sono dei siti in cui non posso entrare, mi dice che la connessione non é sicura. Boh !!!!
risolto con firefox-51

era un bug di firefox.

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Re: Sabayon minimal + Xfce

Post by Aquila » Fri Feb 10, 2017 16:44

Risolto firefox ma il resto é lo stesso.
Mi conviene passare a Portage o resto con Limbo???

User avatar
fiorello
Sagely Hen
Posts: 1494
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: Sabayon minimal + Xfce

Post by fiorello » Fri Feb 10, 2017 18:03

Io direi di passare ai repo standard, lascia perdere Portage che mi pasticci tutto:

Code: Select all

# cd /etc/entropy/repositories.conf.d

# nano -w _entropy_sabayonlinux.org
Copia incolla:

Code: Select all

# Repository configuration file automatically generated
# by Entropy on your behalf.

[sabayonlinux.org]
desc = Sabayon Linux Official Repository
repo = http://pkg.sabayon.org#bz2
repo = http://pkg.repo.sabayon.org#bz2
enabled = true
pkg = http://best.sabayon.org/entropy
pkg = http://gd.tuwien.ac.at/opsys/linux/sabayonlinux/entropy
pkg = http://ftp.kddilabs.jp/Linux/packages/sabayonlinux/entropy
pkg = http://mirror.internode.on.net/pub/sabayon/entropy
pkg = http://sabayon.c3sl.ufpr.br/entropy
pkg = http://na.mirror.garr.it/mirrors/sabayonlinux/entropy
pkg = http://mirror.clarkson.edu/sabayon/entropy
pkg = http://cross-lfs.sabayonlinux.org/entropy
pkg = http://mirror.umd.edu/sabayonlinux/entropy
pkg = http://ftp.cc.uoc.gr/mirrors/linux/SabayonLinux/entropy
pkg = http://ftp.rnl.ist.utl.pt/pub/sabayon/entropy
pkg = http://mirror.yandex.ru/sabayon/entropy
pkg = http://dl.sabayon.org/entropy
pkg = http://redir.sabayon.org/entropy
pkg = http://debian.mirror.dkm.cz/sabayon/entropy
pkg = ftp://ftp.klid.dk/sabayonlinux/entropy
pkg = http://pkg.sabayon.org
pkg = http://mirror.de.sabayon.org/entropy
pkg = http://ftp.fsn.hu/pub/linux/distributions/sabayon/entropy
pkg = ftp://ftp.nluug.nl/pub/os/Linux/distr/sabayonlinux/entropy
pkg = http://mirror.freelydifferent.com/sabayon/entropy
pkg = http://ftp.surfnet.nl/pub/os/Linux/distr/sabayonlinux/entropy

Code: Select all

# equo repo enable sabayonlinux.org && equo repo disable sabayon-limbo

# equo update --force

# equo repo mirrorsort sabayonlinux.org 
Prova a implementare come login manager GDM.

Tchao. :wink:
ASRock Fatal1ty Z68 Professional Gen3 *_* Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network Adapter {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.19.0 *_* Sabayon KDE-5 *_*
Image

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Re: Sabayon minimal + Xfce

Post by Aquila » Fri Feb 10, 2017 18:20

Perché "pasticciare"? Seguirei la guida sul web, e poi perchè gdm e non xdm?

User avatar
fiorello
Sagely Hen
Posts: 1494
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: Sabayon minimal + Xfce

Post by fiorello » Fri Feb 10, 2017 18:28

Aquila wrote: e poi perchè gdm e non xdm?
Perchè magari con quello arrivi sul desktop, prova.
ASRock Fatal1ty Z68 Professional Gen3 *_* Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network Adapter {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.19.0 *_* Sabayon KDE-5 *_*
Image

Aquila
Simple Hen
Posts: 56
Joined: Sun Oct 06, 2013 20:00

Re: Sabayon minimal + Xfce

Post by Aquila » Mon Feb 13, 2017 9:29

Anche con gdm.........nada de nada de nada!!!!!!!

Post Reply